#
# spec file for package qmmp-plugin-pack
#
# Copyright (c) 2014 Dmitry Misharov quarckster@gmail.com
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:		qmmp-plugin-pack
Version:	0.8.4
Release:	1.1
Summary:	Extra plugins for Qmmp
Source0:	qmmp-plugin-pack-%{version}.tar.bz2
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Players
Url:		http://qmmp.ylsoftware.com/plugins.php
BuildRequires:	cmake
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:	pkgconfig(qmmp)
BuildRequires:	pkgconfig(taglib)
BuildRequires:  libqmmp0-plugins
BuildRequires:	pkgconfig(libmpg123)
%description
This package contains extra plugins for Qmmp.

# The skins package
%package    simple-ui
Group:		System/Libraries
Summary:	Simple UI for Qmmp
Requires:	qmmp >= %{version}

%description simple-ui
Simple user interface for Qmmp

%package    mpg123
Group:		System/Libraries
Summary:	Qmmp plugin which uses libmpg123 for decoding
Requires:	qmmp >= %{version}

%description mpg123
Qmmp plugin which uses libmpg123 for decoding of MPEG v1/2 layer1/2/3 files

%package    ffap
Group:		System/Libraries
Summary:	Enhanced Monkey's Audio (APE) decoder
Requires:	qmmp >= %{version}

%description ffap
Enhanced Monkey's Audio (APE) decoder (24-bit samples and embedded cue support)

%prep
%setup -q

%build
mkdir build
cd build
export CFLAGS='%{optflags}'
export CXXFLAGS='%{optflags}'
cmake -DCMAKE_BUILD_WITH_INSTALL_RPATH=1 \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DLIB_DIR=%{_lib} \
      -DCMAKE_BUILD_TYPE=Release \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
      ..
make %{?_smp_mflags}

%install
cd build
%make_install

%files simple-ui
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Ui/libqsui.so

%files mpg123
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libmpg123.so

%files ffap
%defattr(0644,root,root,0755)
%{_libdir}/qmmp/Input/libffap.so

%changelog
* Tue Jun  9 2015 quarckster@gmail.com
- Update to 0.8.4
  * fixed qsui plugin:
  * fixed Ukrainian translation;
  * fixed custom color scheme usage;
  * optimized playlist drawing;
  * improved cover scaling quality;
  * fixed clang warnings in the ffap plugin.
* Tue Jan  6 2015 quarckster@gmail.com
- Update to 0.8.3
  * fixed qsui plugin:
  * fixed displaying of the symbol '&' in the tab name;
  * fixed displaying name of the current directory.
* Tue Oct 14 2014 quarckster@gmail.com
- Update to 0.8.2
  * added Portuguese translation;
  * added transifex integration;
  * added feature to create a new playlist on double click in the qsui plugin;
  * improved image scaling quality;
  * fixed color settings in the qsui plugin;
  * reduced tag reading delay in the mpg123 plugin.
* Wed Sep 17 2014 quarckster@gmail.com
- New package. Version 0.8.1
